<!--
  Generated template for the RegisterFinpayPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
	<ion-navbar>
		<ion-title class="title-after-back">Création compte FinPAY</ion-title>
		<button ion-button="" menuToggle="">
			<ion-icon name="menu"></ion-icon>
		</button>
        <img src="assets/icon/logo.png" alt="finpay" class="right-finpay"/>
	</ion-navbar>

</ion-header>


<ion-content >
    <ion-grid class="grid-center-md grid-center-ios">
            <ion-row justify-content-center class="center-block-reservation">
                <ion-col col-12 col-sm col-auto>
                    <ion-list class="list_" padding-top maring-top>
                        <ion-item class="input-cover-md input-cover-ios" >

                            <ion-label no-padding no-margin>
                                Numéro de téléphone
                            </ion-label>
                            <ion-input type="tel" placeholder="- - -  - -  - - -  - -" 
                                [brmasker]="{mask:'999 99 999 99', len:13, type:'num'}" 
                                [(ngModel)]="customer.phone" 
                                [(disabled)]="phoneValid" 
                                (input)="verifyLength('phone')">
                                    
                            </ion-input>
                        </ion-item>
                    </ion-list>
                </ion-col>
            </ion-row>
            <ion-row justify-content-center >
                <ion-col col-12 col-sm col-auto>
                    <button ion-button  
                        (tap)="validate('Phone')" 
                        *ngIf="!phoneValid" class="btn-validate">
                        Valider
                    </button>
                    <button ion-button  *ngIf="phoneValid && !accountValid" (tap)="modify('phone')" class="btn-modified">
                        Modifier
                    </button>
                </ion-col>
            </ion-row>
            <ion-row justify-content-center class="center-block-reservation">
                <ion-col col-12 col-sm col-auto>
                    <ion-list class="list_" padding-top maring-top>
                        <ion-item *ngIf="phoneValid" class="input-cover-md input-cover-ios">
                            <ion-label no-padding no-margin>
                                Numéro CIN
                            </ion-label>
                            <ion-input type="tel" 
                                placeholder=" - - -   - - -   - - -   - - -" 
                                [brmasker]="{mask:'999 - 999 - 999 - 999', len:21, type:'num'}" 
                                [(ngModel)]="customer.cin" 
                                [(disabled)]="cinValid" 
                                (input)="verifyLength('cin')">
                            </ion-input>
                        </ion-item>
                    </ion-list>
                </ion-col>
            </ion-row>
            <ion-row justify-content-center >
                <ion-col col-12 col-sm col-auto>
                    <button ion-button 
                        (tap)="validate('Cin')" 
                        *ngIf="!cinValid && phoneValid" class="btn-validate">
                        Valider
                    </button>
                    <button ion-button  *ngIf="cinValid && !accountValid" (tap)="modify('cin')" class="btn-modified">
                        Modifier
                    </button>
                </ion-col>
            </ion-row>   
    </ion-grid>

    <info-login  *ngIf="newCustomer && cinValid" (infoLogin)='infoLogin($event)'></info-login>
</ion-content>
